<?php
defined('BASEPATH') OR exit('No direct script access allowed');
/**
 * 인클루드 class
 *
 * cm_controller: 부모 Class(CI_Controller 확장한 custome class)
 */
include_once (APPPATH.'core/admin/cm_controller.php');

class admin_member extends cm_controller {

	#---------------------------------------------------------------------------
    # PURPOSE :	관리자 수정
    # CREATE  :	2018-02-19
    #---------------------------------------------------------------------------
	function fn_member_edit() {
        # view
        return $this->load->view('/admin/admin_member/member_edit', '', true);

    }

    #---------------------------------------------------------------------------
    # PURPOSE :	관리자 수정 실행
    # CREATE  :	2018-02-19
    #---------------------------------------------------------------------------
	function fn_member_edit_proc() {

        # Request
        $org_user_pwd       = trim($this->input->get_post('org_user_pwd', TRUE));   // 기존비밀번호
        $new_user_pwd       = trim($this->input->get_post('new_user_pwd', TRUE));   // 신규비밀번호



        # valid Check
        if (empty($org_user_pwd) == true) {
            gf_alert('이전 비밀번호를 입력해주세요.', '/admin/admin_member/member_edit');
            exit;
        }

        if (empty($new_user_pwd) == true) {
            gf_alert('신규 비밀번호를 입력해주세요.', '/admin/admin_member/member_edit');
            exit;
        }

        $req_data['org_user_pwd']       = addslashes($org_user_pwd);
        $req_data['new_user_pwd']       = addslashes($new_user_pwd);

        # model - 이전 비밀번호 확인
        $this->load->model('admin/admin_member/m_admin_member');
        $return_data    = $this->m_admin_member->member_edit_proc($req_data);

        if($return_data == '') {
            gf_alert('기존 비밀번호가 다릅니다.', '/admin/admin_member/member_edit');
            exit;
        }

        # model - 신규 비밀번호 업데이트
        $this->load->model('admin/admin_member/m_admin_member');
        $this->m_admin_member->member_passwd_update($req_data);


        gf_alert('수정되었습니다.', '/admin/main');
        exit;

    }




}

?>